Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.impl
Class ActionConfigMatcher.Mapping

    java.lang.Object
      com.opensymphony.xwork2.config.impl.ActionConfigMatcher.Mapping

All Implemented Interfaces:
  Serializable

Enclosing class:
  ActionConfigMatcher

    private class ActionConfigMatcher.Mapping

extends Object
implements Serializable

Stores a compiled wildcard pattern and the ActionConfig it came from.

Field Summary
`private ActionConfig` | `config` The original ActionConfig.
`private String` | `original` The original pattern.
`private int[]` | `pattern` The compiled pattern.

Constructor Summary
`ActionConfigMatcher.Mapping(String original, int[] pattern, ActionConfig config)` Contructs a read-only Mapping instance.

Method Summary
`ActionConfig` | `getActionConfig()` Gets the ActionConfig that contains the pattern.
`String` | `getOriginal()` Gets the original wildcard pattern.
`int[]` | `getPattern()` Gets the compiled wildcard pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### original

    private String original

  The original pattern.

### pattern

    private int[] pattern

  The compiled pattern.

### config

    private ActionConfig config

  The original ActionConfig.

Constructor Detail

### ActionConfigMatcher.Mapping

    public ActionConfigMatcher.Mapping(String original,
                                       int[] pattern,
                                       ActionConfig config)

  Contructs a read-only Mapping instance.

  Parameters:
    `original` - The original pattern
    `pattern` - The compiled pattern
    `config` - The original ActionConfig

Method Detail

### getPattern

    public int[] getPattern()

  Gets the compiled wildcard pattern.

  Returns:
    The compiled pattern

### getActionConfig

    public ActionConfig getActionConfig()

  Gets the ActionConfig that contains the pattern.

  Returns:
    The associated ActionConfig

### getOriginal

    public String getOriginal()

  Gets the original wildcard pattern.

  Returns:
    The original pattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.